﻿unit UMain;

interface

uses
{$IF CompilerVersion >= 23.00}
  System.Classes, System.Types;
{$ELSE}
  Classes, Types;
{$IFEND}

procedure OnCreateComponent(var Self: TComponent; Parent: TComponent; const Rect: TRect);

implementation

(* 以下サンプル *)
uses
  Vcl.Dialogs, Vcl.StdCtrls, Vcl.ExtCtrls, Vcl.ComCtrls;

procedure OnCreateComponent(var Self: TComponent; Parent: TComponent; const Rect: TRect);
var
   task: TTaskDialog;
begin
  // TCustomEditからの派生クラス(TEditやTMemo)のTextを空の状態で生成
  if Self is Vcl.StdCtrls.TCustomEdit then
  begin
    Vcl.StdCtrls.TCustomEdit(Self).Text := '';
  end
  // TPanelのCaptionを非表示にして生成
  else if Self is Vcl.ExtCtrls.TPanel then
  begin
    Vcl.ExtCtrls.TPanel(Self).Caption := '';
    Vcl.ExtCtrls.TPanel(Self).ShowCaption := False;
  end
  // TListViewの様々なプロパティを設定して生成、ViewStyleは置いた時に選択する
  else if Self is Vcl.ComCtrls.TListView then
  begin
    with Vcl.ComCtrls.TListView(Self) do
    begin
      HideSelection := False;
      OwnerData := True;
      ReadOnly := True;
      RowSelect := True;
      Columns.Add;

      task := TTaskDialog.Create(nil);
      try
        task.Caption := '初期値設定';
        task.Title := 'TListView の Style を指定';
        task.RadioButtons.Add.Caption := 'vsIcon';
        task.RadioButtons.Add.Caption := 'vsSmallIcon';
        task.RadioButtons.Add.Caption := 'vsList';
        task.RadioButtons.Add.Caption := 'vsReport';

        if task.Execute and (task.RadioButton.Index <> -1) then
          ViewStyle := TViewStyle(task.RadioButton.Index);
      finally
        task.Free;
      end;
    end;
  end;
end;
(* 以上サンプル *)

end.
